Subject: Re: [PATCH 1/2] Change "refs/" references to symbolic constants

From: Andy Parkins <[email-masked]>
Date: Wed, 3 Oct 2007 08:40:30 +0100

On Tuesday 2007 October 02, Junio C Hamano wrote:
> Andy Parkins <[email-masked]> writes:
> > I noticed a couple of places where memcmp() has been used where
> > prefixcmp() would work fine.  I'm tempted to change them too - what do
> > you think? Perhaps a separate patch?
>
> In general, probably it is preferable to have a separate
> "preliminary patch" to normalize the existing code without using
> the new infrastructure (i.e. REF_* macros), and then to have the
> main patch.  That way would make the main patch more about
> mechanical conversion, which would be easier to verify
> independently.

I only noticed them memcmp() use while I was reviewing the PATH_REFS patch :-)  
So making it preliminary would have meant travelling backwards in time.

I imagine I can do a bit of rebase-interactive to rearrange should that be the 
route you'd like me to go.  Your call.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]